import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestActionEvent3 extends JFrame
{  
    JPanel content = new MyPanel();

    class MyPanel extends JPanel 
    {
       JPanel panel1 = new Panel1();
       JLabel status = new JLabel("personne",JLabel.CENTER);
       

       class Panel1 extends JPanel
       {
	  JButton b1 = new JButton("Pierre");
	  JButton b2 = new JButton("Paul");
	  JButton b3 = new JButton("Jacques");
	  JTextField tf = new JTextField(20);

	  class B1Listener implements ActionListener
	  {
	     public void actionPerformed(ActionEvent e) 
	     {
		status.setText(b1.getText());
	     }
	  }

	  class B2Listener implements ActionListener
	  {
	     public void actionPerformed(ActionEvent e) 
	     {
		status.setText(b2.getText());
	     }
	  }

	  class B3Listener implements ActionListener
	  {
	     public void actionPerformed(ActionEvent e) 
	     {
		status.setText(b3.getText());
	     }
	  }

	  class TfListener implements ActionListener
	  {
	     public void actionPerformed(ActionEvent e) 
	     {
		status.setText(tf.getText());
	     }
	  }

	  Panel1()
	  {
	     add(b1); b1.addActionListener(new B1Listener());
	     add(b2); b2.addActionListener(new B2Listener());
	     add(b3); b3.addActionListener(new B3Listener());
	     add(tf); tf.addActionListener(new TfListener()); 
	  }
       }

       MyPanel()
       {
	  setLayout(new BorderLayout());
	  add(panel1,BorderLayout.CENTER); 
	  add(status,BorderLayout.SOUTH);
       }
    }

    TestActionEvent3()
    {  
       setTitle("test Action Event 3"); 
       setLocation(100,100);
       setSize(400,200);
       setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       setContentPane(content);
       setVisible(true);
    }


    public static void main(String[] args) { new TestActionEvent3(); }
}
