import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestBoxLayout2 extends JFrame
{

   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      Row row = new Row();
      Column column = new Column();
      
      class Column extends JPanel
      {
	 JLabel label = new JLabel("Colonne");
	 JButton bouton1 = new JButton("Button 1");
	 JTextField champ1 = new JTextField(30);
	 JTextField champ2 = new JTextField("champ");
	 JButton bouton2 = new JButton("Button 2");
	
	 Column()
	 {
	    Dimension d = new Dimension(200,20);
	    
	    setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
	    label.setAlignmentX(JComponent.CENTER_ALIGNMENT); add(label);
	    bouton1.setAlignmentX(JComponent.CENTER_ALIGNMENT); add(bouton1);
	    champ1.setAlignmentX(JComponent.CENTER_ALIGNMENT); champ1.setMaximumSize(d);
	    add(champ1);
	    champ2.setAlignmentX(JComponent.CENTER_ALIGNMENT); champ2.setMaximumSize(d);
	    add(champ2);
	    bouton2.setAlignmentX(JComponent.CENTER_ALIGNMENT); add(bouton2);
	 }
      }

      class Row extends JPanel
      {
	 JButton bouton1 = new JButton("OK");
	 JButton bouton2 = new JButton("Cancel");
	    
	 Row()
	 {
	    setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
	    add(bouton1);
	    add(bouton2);
	 }
      }

      MyPanel()
      {
	 setLayout(new BoxLayout(this,BoxLayout.X_AXIS));
	 add(column); 
	 add(row); 
      }
   }

   TestBoxLayout2()
   {  
      setTitle("Test Box Layout");
      setSize(400,200);
      setLocation(20,50);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }	

  public static void main(String[] args) { new TestBoxLayout2(); }
}

