import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestDialog extends JFrame
{
   MyPanel panel = new MyPanel();
   

   class MyPanel extends JPanel
   {
      private JButton ok = new JButton( "OK" );
      
      MyPanel()
      {
	 add(ok);
	 ok.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed( ActionEvent e )
	       {
		  MyDialog m = new MyDialog(TestDialog.this);
	       }
	       });
      }
   }


   class MyDialog extends JDialog
   {
      MyDialog(JFrame f)
      {
	 super(f,"coucou",true);
	 setContentPane(new MyPanel());
	 pack();
	 setVisible(true);
      }
   }


   TestDialog()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Dialog");
      setSize(800,600);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestDialog(); }
}
