import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;

public class TestFileChooser extends JFrame 
{
   MyPanel panel = new MyPanel();

   class MyPanel extends JPanel
   {
      ImageIcon openIcon = new ImageIcon("images/open.gif");
      ImageIcon saveIcon = new ImageIcon("images/save.gif");
      
      JButton openButton = new JButton("Open a File...", openIcon);
      JButton saveButton = new JButton("Save a File...", saveIcon);
      
      JFileChooser fileChooser= new JFileChooser();
      
      MyPanel()
      {
	 add(openButton);
	 add(saveButton);
	 openButton.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed(ActionEvent e) 
	       {
		  int val = fileChooser.showOpenDialog(null);
		  if (val == JFileChooser.APPROVE_OPTION) 
		     {
			File file = fileChooser.getSelectedFile();
                        JOptionPane.showMessageDialog(null,"fichier a ouvrir " + file);
		     }
	       }
            });

	
   
	 saveButton.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed(ActionEvent e) 
	       {
		  int val = fileChooser.showSaveDialog(TestFileChooser.this);
		  if (val == JFileChooser.APPROVE_OPTION) 
		     {
			File file = fileChooser.getSelectedFile(); 
			JOptionPane.showMessageDialog(null,"fichier a sauver " + file);
		     }
	       }
            });
      }
   }

   TestFileChooser()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test File Chooser");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestFileChooser(); }
}

