import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestPasswordField extends JFrame
{
   MyPanel panel = new MyPanel();
   

   class MyPanel extends JPanel
   {
      private JPasswordField password = new JPasswordField(15);
      private JButton ok = new JButton( "OK" );
      
      MyPanel()
      {
	 add(password);
	 add(ok);
	 ok.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed( ActionEvent e )
	       {
		  String s = new String(password.getPassword());
		  JOptionPane.showMessageDialog(TestPasswordField.this,s);
	       }
	    });
      }
   }

   TestPasswordField()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Password");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();   
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestPasswordField(); }
}
