import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


class TestSimpleBorders extends JFrame 
{  
   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      JPanel p1 = new JPanel();
      JPanel p2 = new JPanel();
      JPanel p3 = new JPanel();
      JPanel p4 = new JPanel();
      JPanel p5 = new JPanel();

      MyPanel()
      {
	 Border line, etched, raisedBevel, loweredBevel, empty;
	 line = BorderFactory.createLineBorder(Color.black);
	 etched = BorderFactory.createEtchedBorder();
	 raisedBevel = BorderFactory.createRaisedBevelBorder();
	 loweredBevel = BorderFactory.createLoweredBevelBorder();
	 empty = BorderFactory.createEmptyBorder();
	 
	 p1.add(new JLabel("black line border"));
	 p1.setBorder(line);
	 p2.add(new JLabel("etched border"));
	 p2.setBorder(etched);
	 p3.add(new JLabel("raised bevel border"));
	 p3.setBorder(raisedBevel);
	 p4.add(new JLabel("lowered bevel border"));
	 p4.setBorder(loweredBevel);
	 p5.add(new JLabel("empty border"));
	 p5.setBorder(empty);
	 add(p1);
	 add(p2);
	 add(p3);
	 add(p4);
	 add(p5);
      }
   }

   TestSimpleBorders()
   {  
      setTitle("Simple borders");
      setSize(400,200);
      setLocation(20,50);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }	
   
   public static void main(String[] args) { new TestSimpleBorders(); }
}
