import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestTextArea extends JFrame
{
   MyPanel panel = new MyPanel();
   

   class MyPanel extends JPanel
   {
      private JTextArea zoneTexte1 = new JTextArea(" un essai \n de text area", 10, 15 );
      private JTextArea zoneTexte2 = new JTextArea( 10, 15 );
      private JButton copier = new JButton( "Copier >>>" );
      
      MyPanel()
      {
	 setLayout(new BoxLayout(this, BoxLayout.X_AXIS));
	 zoneTexte1.setFont(new Font("Serif",Font.BOLD,16));
	 add(new JScrollPane(zoneTexte1));
	 add(copier);
	 copier.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed( ActionEvent e )
	       {
		  zoneTexte2.setText(zoneTexte1.getSelectedText());
	       }
	    });
	 
	 zoneTexte2.setFont(new Font("SansSerif",Font.ITALIC,14));
	 zoneTexte2.setEditable( false );
	 add(new JScrollPane(zoneTexte2));
      }
   }

   public TestTextArea()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Text area");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      pack();   
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestTextArea(); }
}
