import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


class TestTextField extends JFrame
{
   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      JTextField champ1 = new JTextField(20);  
      JTextField champ2 = new JTextField(20); 
      JTextField champ3 = new JTextField(20);
     
      class ActionListenerOfChamp1 implements ActionListener
      {
	    public void actionPerformed(ActionEvent e) 
	    { 
		champ3.setText(champ1.getText().trim());
		champ1.setText("");
	    }
	}

      class DocumentListenerOfChamp2 implements DocumentListener
      {
	 public void insertUpdate(DocumentEvent e) { champ3.setText(champ2.getText().trim()); }
	 
	 public void removeUpdate(DocumentEvent e) { champ3.setText(champ2.getText().trim()); }
	 
	 public void changedUpdate(DocumentEvent e) { }
      }
      
      MyPanel()
      {
	 champ1.addActionListener(new ActionListenerOfChamp1());
	 champ2.getDocument().addDocumentListener(new DocumentListenerOfChamp2());
	 champ3.setEditable(false);

	 add(champ1);
	 add(champ2);
	 add(champ3);
      }
   }
   

   public TestTextField()
   {
      setTitle("Test Text Fields");
      setLocation(20,50);
      setSize(600,150);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }

   public static void main(String[] args) 
   {
      new TestTextField();
   }
}
