import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestActionEvent1 extends JFrame
{  
    JPanel content = new MyPanel();

    class MyPanel extends JPanel 
    {
       JPanel panel1 = new Panel1();
       JLabel status = new JLabel("personne",JLabel.CENTER);
       

       class Panel1 extends JPanel implements ActionListener
       {
	  JButton b1 = new JButton("Pierre");
	  JButton b2 = new JButton("Paul");
	  JButton b3 = new JButton("Jacques");
	  JTextField tf = new JTextField(20);
		  
	  Panel1()
	  {
	     add(b1); b1.addActionListener(this);
	     add(b2); b2.addActionListener(this);
	     add(b3); b3.addActionListener(this);
	     add(tf); tf.addActionListener(this);
	  }
	  
	  public void actionPerformed(ActionEvent e) 
	  {
	     Object source = e.getSource();
	     if (source == b1) status.setText(b1.getText());
	     else if (source == b2) status.setText(b2.getText());
	     else if (source == b3) status.setText(b3.getText());
	     else if (source == tf) status.setText(tf.getText());
	     // en fait on pourrait simplifier en plaant pour les trois boutons 
	     // status.setText(((JButton)e.getSource()).getText());
	  }
       }


       MyPanel()
       {
	  setLayout(new BorderLayout());
	  add(panel1,BorderLayout.CENTER); 
	  add(status,BorderLayout.SOUTH);
       }
    }

    TestActionEvent1()
    {  
       setTitle("test Action Event 1"); 
       setLocation(100,100);
       setSize(400,200);
       setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       setContentPane(content);
       setVisible(true);
    }


    public static void main(String[] args) { new TestActionEvent1(); }
}
