import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;    


class TestBorderLayout extends JFrame 
{  
   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      MyPanel()
      {
	 setLayout(new BorderLayout()); 
	 add(new JButton("EAST"), BorderLayout.EAST); 
	 add(new JButton("WEST"), BorderLayout.WEST); 
	 add(new JButton("NORTH"), BorderLayout.NORTH); 
	 add(new JButton("SOUTH"), BorderLayout.SOUTH); 
	 add(new JButton("CENTER"), BorderLayout.CENTER);
      }
   }

  TestBorderLayout()
   {  
      setTitle("Test Border Layout");
      setSize(400,200);
      setLocation(20,50);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }	

   public static void main(String[] args) { new TestBorderLayout(); }
}

