import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestButtons1 extends JFrame
{
   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      ImageIcon icon1 = new ImageIcon("images/right.gif");
      ImageIcon icon2 = new ImageIcon("images/middle.gif");
      ImageIcon icon3 = new ImageIcon("images/left.gif");

      JButton button1 = new JButton("activer bouton central", icon1);
      JButton button2 = new JButton("bouton central", icon2);
      JButton button3 = new JButton("descativer bouton central", icon3);
   
      
      MyPanel()
      {
	 button1.setVerticalTextPosition(JButton.CENTER);
	 button1.setHorizontalTextPosition(JButton.LEFT);
	 button2.setVerticalTextPosition(JButton.BOTTOM);
	 button2.setHorizontalTextPosition(JButton.CENTER);
	 button3.setVerticalTextPosition(JButton.CENTER);
	 button3.setHorizontalTextPosition(JButton.RIGHT);

	 button1.setMnemonic(KeyEvent.VK_A);	
	 button2.setMnemonic(KeyEvent.VK_C);
	 button3.setMnemonic(KeyEvent.VK_D);

	 button1.setToolTipText("Click this button to disable the middle button.");
	 button2.setToolTipText("This middle button does nothing when you click it.");
	 button3.setToolTipText("Click this button to enable the middle button.");

	 add(button1);
	 add(button2);
	 add(button3);
      }
   }
   

   public TestButtons1()
   {
      setTitle("Test Buttons");
      setLocation(20,50);
      setSize(600,150);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }

   public static void main(String[] args) 
   {
      new TestButtons1();
   }
}
