import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestCardLayout extends JFrame
{

  MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      JPanel control = new Control();
      JPanel cards = new Cards();
            
      class Control extends JPanel
      {
	 JButton button = new JButton("Next card");

	 Control()
	 {
	    add(button);
	    button.addActionListener(new ActionListener() 
	    {
	       public void actionPerformed(ActionEvent e) 
	       { 
		  CardLayout cl = (CardLayout)cards.getLayout();
		  cl.next(cards);
	       }
	    });
	 }

      }


      class Card1 extends JPanel
      {
	 Card1()
	 {
	    add(new JLabel("label1"));
	    add(new JLabel("label2"));
	    add(new JLabel("label3"));
	 }
      }
		
      class Card2 extends JPanel
      {
	 Card2()
	 {
	    add(new JButton("button"));
	    add(new JButton("button2"));
	    add(new JButton("button3"));
	 }
      }

      class Card3 extends JPanel
      {
	 Card3()
	 {
	    add(new JTextField("text field 1"));
	    add(new JTextField("text field 2"));
	 }
      }

      class Cards extends JPanel
      {
	 Cards()
	 {
	    setLayout(new CardLayout());
	    add(new Card1(),"labels");
	    add(new Card2(),"butons");
	    add(new Card3(),"text fields");
	 }
      }

    
      MyPanel()
      {
	 setLayout(new BorderLayout());
	 add(control,BorderLayout.NORTH);
	 add(cards,BorderLayout.CENTER);
      }
   }

   TestCardLayout()
   {  
      setTitle("Test Card Layout");
      setSize(400,200);
      setLocation(20,50);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }	

  public static void main(String[] args) { new TestCardLayout(); }
}

