import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


class TestMatteBorders extends JFrame 
{  
   MyPanel panel = new MyPanel();
      
   class MyPanel extends JPanel
   {
      JPanel p1 = new JPanel();
      JPanel p2 = new JPanel();
      JPanel p3 = new JPanel();
      JPanel p4 = new JPanel();
      JPanel p5 = new JPanel();

      MyPanel()
      {	 
	 ImageIcon icon = new ImageIcon("left.gif");
	 
	 Border m1, m2, m3, m4, m5;
	 m1 = BorderFactory.createMatteBorder(-1,-1,-1,-1,icon);
	 m2 = BorderFactory.createMatteBorder(1,5,1,1,Color.red);
	 m3 = BorderFactory.createMatteBorder(0,20,0, 0,icon);
	 m4 = BorderFactory.createMatteBorder(-1,-1,10, 10,Color.blue);
	 m5 = BorderFactory.createMatteBorder(3,3,3,3,Color.black);

	 p1.add(new JLabel("-1,-1,-1,-1,icon"));
	 p1.setBorder(m1);
	 p2.add(new JLabel("1,5,1,1,Color.red"));
	 p2.setBorder(m2);
	 p3.add(new JLabel("0,20,0, 0,icon"));
	 p3.setBorder(m3);
	 p4.add(new JLabel("-1,-1,10, 10,Color.blue"));
	 p4.setBorder(m4);
	 p5.add(new JLabel("3,3,3,3,Color.black"));
	 p5.setBorder(m5);
	 add(p1);
	 add(p2);
	 add(p3);
	 add(p4);
	 add(p5);
      }
   }

   TestMatteBorders()
   {  
      setTitle("Matte borders");
      setSize(400,200);
      setLocation(20,50);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setVisible(true);
   }	
   
   public static void main(String[] args) { new TestMatteBorders(); }
}
