import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class TestMenu2 extends JFrame
{  
   String prefix = "images/billesCouleurs/";
   ImageIcon yellowBall = new ImageIcon(prefix + "yellowBall.gif");  
   ImageIcon redBall = new ImageIcon(prefix + "redBall.gif");
   ImageIcon blueBall = new ImageIcon(prefix + "blueBall.gif");
   
   Action actionJaune = new AbstractAction("Jaune",yellowBall)
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.yellow); 
      }
      };
  
   Action actionRouge = new AbstractAction("Rouge",redBall)
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.red); 
      }
      };

   Action actionBleu = new AbstractAction("Bleu",blueBall)
   {
      public void actionPerformed(ActionEvent e) 
      { 
	 panel.setBackground(Color.blue); 
      }
      };

   MyMenuBar menuBar = new MyMenuBar();
   MyPanel panel = new MyPanel();
   
   

 
   class MyMenuBar extends JMenuBar
   {
      JMenu couleur = new JMenu("Couleur");
      JMenu about = new JMenu("About");
      JMenuItem jaune = new JMenuItem(); 
      JMenuItem rouge = new JMenuItem();
      JMenuItem bleu = new JMenuItem(); 
      JMenuItem exit = new JMenuItem("Exit");
      
      MyMenuBar()
      {
	 jaune.setAction(actionJaune); 
	 rouge.setAction(actionRouge); 
	 bleu.setAction(actionBleu); 
	 exit.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e) 
	       { 
		  System.exit(0);
	       }
	    });
	 
	 couleur.add(jaune);
	 couleur.add(rouge);
	 couleur.add(bleu);
	 couleur.addSeparator();
	 couleur.add(exit);
	 add(couleur);	
	 add(about);
      }
   }
   
   
   class MyPanel extends JPanel
   {
      JButton jaune = new JButton(); 
      JButton rouge = new JButton();
      JButton bleu = new JButton(); 
      
      
      MyPanel()
      {
	 jaune.setAction(actionJaune);
	 rouge.setAction(actionRouge);
	 bleu.setAction(actionBleu); 
	 
	 add(jaune);
	 add(rouge);
	 add(bleu);
      }
   }

   
   public TestMenu2()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test Menu 2");
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setJMenuBar(menuBar);
      setSize(400,200);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestMenu2(); }
}


