import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

	
class TestMouseEvent extends JFrame
{
   JPanel content = new MyPanel();


   class MyPanel extends JPanel 
   {
      JPanel panel1 = new Panel1();
      JLabel status = new JLabel("nothing",JLabel.CENTER);
       

      class Panel1 extends JPanel 
      {
	 
	 class MyMouseListener implements MouseListener
	 {
	    public void mousePressed(MouseEvent e) 
	    {
	       status.setText("Mouse pressed (# of clicks: " + e.getClickCount() + ")");
	    }

	    public void mouseReleased(MouseEvent e) 
	    {
	       status.setText("Mouse released (# of clicks: " + e.getClickCount() + ")");
	    }

	    public void mouseEntered(MouseEvent e) 
	    {
	       status.setText("Mouse entered");
	    }

	    public void mouseExited(MouseEvent e) 
	    {
	       status.setText("Mouse exited");
	    }

	    public void mouseClicked(MouseEvent e) 
	    {
	       status.setText("Mouse clicked (# of clicks: " + e.getClickCount() 
			      + ")" + " at (" + e.getX() + "," + e.getY() + ")");
	    }
	 }

	 Panel1()
	 {
	    addMouseListener(new MyMouseListener());
	 }

      }


       MyPanel()
       {
	  setLayout(new BorderLayout());
	  add(panel1,BorderLayout.CENTER); 
	  status.setFont(new Font("Serif",Font.BOLD,18));
	  add(status,BorderLayout.SOUTH);
       }
    }

    TestMouseEvent()
    {  
       setTitle("test Mouse Event"); 
       setLocation(100,100);
       setSize(400,200);
       setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
       setContentPane(content);
       setVisible(true);
    }


    public static void main(String[] args) { new TestMouseEvent(); }
}

      

