import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class TestOptionPane extends JFrame
{
   MyPanel panel = new MyPanel();
   

   class MyPanel extends JPanel
   {
      private JButton b1 = new JButton("question");
      private JButton b2 = new JButton("saisie");
      private JButton b3 = new JButton("choix");
      private JButton b4 = new JButton("Couleur");
     

      MyPanel()
      {
	 add(b1); add(b2); add(b3); add(b4); 
	 b1.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e)
	       {
		  
		  int ret = JOptionPane.showConfirmDialog(TestOptionPane.this,"Etes-vous d'accord avec moi ?"); 
		  if (ret == JOptionPane.YES_OPTION) 
		     JOptionPane.showMessageDialog(null,"Vous avez raison"); 
		  else if (ret == JOptionPane.NO_OPTION) 
		     JOptionPane.showMessageDialog(b1,"Vous avez tort"); 
		  else if (ret == JOptionPane.CANCEL_OPTION) 
		     JOptionPane.showMessageDialog(TestOptionPane.this,"Repondez par oui ou par non, svp",
						   "le titre",JOptionPane.WARNING_MESSAGE); 
	       }
	    });
	 
	 b2.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e)
	       {
		  
		  String nom = JOptionPane.showInputDialog(TestOptionPane.this,"Entrez votre nom","Dupont"); 
		  String prenom = JOptionPane.showInputDialog(TestOptionPane.this,"Entrez votre prenom"); 
		  JOptionPane.showMessageDialog(null,"Vous vous appelez " + nom + " " + prenom); 
	       }
	    });

	  b3.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e)
	       {
		  ImageIcon icon = new ImageIcon("images/animals/Bird.gif");
		  String[] chiffres = new String[10];
		  for (int i=0; i<chiffres.length; i++) chiffres[i] = "" + i;
		  
		  String selectedValue = (String)JOptionPane.showInputDialog(null,"Choisissez un chiffre", "Choix",
								     JOptionPane.INFORMATION_MESSAGE, icon,
								     chiffres, chiffres[4]);
		  JOptionPane.showMessageDialog(null,"Bravo, vous avez choisi " + selectedValue);

		  int value = JOptionPane.showOptionDialog(null,"Choisissez un chiffre", "Choix",
								     JOptionPane.YES_NO_OPTION,JOptionPane.INFORMATION_MESSAGE, icon,
								     chiffres, chiffres[4]);
		  JOptionPane.showMessageDialog(null,"Bravo, vous avez choisi " + chiffres[value]);
	       }
	    });

	  b4.addActionListener(new ActionListener()
	    {
	       public void actionPerformed(ActionEvent e)
	       {
		  Color c = JColorChooser.showDialog(b4,"Choisissez une couleur",Color.white);
		  JOptionPane.showMessageDialog(null,"Vous avez selectionne la couleur " + c);
	       }
	    });

      }
   }

   TestOptionPane()
   {
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      
      setTitle("Test OptionPane");
      setSize(300,150);
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      setContentPane(panel);
      setLocation((screenSize.width-getWidth())/2,((screenSize.height-getHeight())/2));
      setVisible(true);
   }

   public static void main(String[] args) { new TestOptionPane(); }
}
